Last Updated:
Mencari Penggati Untuk Sublime-Text Di GNU/Linux

Mencari Pengganti Untuk Sublime-Text Di GNU/Linux

root
root Software

Salah satu tools yang saya gunakan untuk memindahkan postingan yang ada pada blog offline ke situs ini adalah Code/Text Editor.

Sejauh ini pilihan saya jatuh kepada Sublime-Text yang memang berjalan sangat ringan dengan spesifikasi komputer. 

Namun akhir-akhir ini, ada sedikit permasalahan yang sangat memngganggu, yaitu kursor yang terlihat stuck dan akan menyulitkan dalam mengedit kode html.

Karena masih banyak postingan yang harus diedit menggunakan Text Editor, dan saya sudah mulai lelah dengan Sublime-Text, mau tak mau harus mencari pengganti yang sepadan. 

Pilihan utama saya jatuh kepada Atom.

Cara Installasi Atom Di GNU/Linux

Beruntungnya Atom adalah program Open Source yang barang tentu bisa didapatkan secara gratis pada situs resminya di https://atom.io.

Proses installasinya pun cukup mudah, hanya mengetik beberapa kode sederhana dalam Terminal. 

sudo dpkg -i atom-amd64.deb

Lalu biarkan saja apt mengecek dependensi jika ada.

Dan ternyata pada kasus saya, dibutuhkan beberapa paket lagi.

Untuk mengatasi hal tersebut, cukup mengetik perintah berikut;

sudo apt install -f

Atau lengkapnya sepertin ini, karena kadang ada beberapa Distro GNU/Linux yang tidak "faham" perintah tersebut.

sudo apt install --fix-missing

Lalu biarkan saja APT menyelesaikan tugasnya. Ajaib...

Jika ingin melihat video tutorialnya, silahkan tonton saja sampai selesai.

Untuk melihat prosesnya secara lengkap, silahkan simak pada kode dibawah;

ludy@gnulinux:~/Downloads$ sudo dpkg -i atom-amd64.deb 
[sudo] password for ludy: 
Selecting previously unselected package atom.
(Reading database ... 396003 files and directories currently installed.)
Preparing to unpack atom-amd64.deb ...
Unpacking atom (1.58.0) ...
dpkg: dependency problems prevent configuration of atom:
 atom depends on git; however:
  Package git is not installed.

dpkg: error processing package atom (--install):
 dependency problems - leaving unconfigured
Processing triggers for bamfdaemon (0.5.3+18.04.20180207.2-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Errors were encountered while processing:
 atom
ludy@gnulinux:~/Downloads$ sudo apt install git
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 git : Depends: liberror-perl but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
ludy@gnulinux:~/Downloads$ sudo apt install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  git git-man liberror-perl
Suggested packages:
  git-daemon-run | git-daemon-sysvinit git-doc git-el git-email git-gui gitk
  gitweb git-cvs git-mediawiki git-svn
The following NEW packages will be installed:
  git git-man liberror-perl
0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 4.743 kB of archives.
After this operation, 34,0 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Get:1 http://mirror.0x.sg/ubuntu bionic/main amd64 liberror-perl all 0.17025-1 [22,8 kB]
Get:2 http://mirror.0x.sg/ubuntu bionic-updates/main amd64 git-man all 1:2.17.1-1ubuntu0.8 [804 kB]
Get:3 http://mirror.0x.sg/ubuntu bionic-updates/main amd64 git amd64 1:2.17.1-1ubuntu0.8 [3.916 kB]
Fetched 4.743 kB in 1min 18s (60,6 kB/s)                                       
Selecting previously unselected package liberror-perl.
(Reading database ... 404346 files and directories currently installed.)
Preparing to unpack .../liberror-perl_0.17025-1_all.deb ...
Unpacking liberror-perl (0.17025-1) ...
Selecting previously unselected package git-man.
Preparing to unpack .../git-man_1%3a2.17.1-1ubuntu0.8_all.deb ...
Unpacking git-man (1:2.17.1-1ubuntu0.8) ...
Selecting previously unselected package git.
Preparing to unpack .../git_1%3a2.17.1-1ubuntu0.8_amd64.deb ...
Unpacking git (1:2.17.1-1ubuntu0.8) ...
Setting up git-man (1:2.17.1-1ubuntu0.8) ...
Setting up liberror-perl (0.17025-1) ...
Setting up git (1:2.17.1-1ubuntu0.8) ...
Setting up atom (1.58.0) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
ludy@gnulinux:~/Downloads$

Abaikan saja dan tidak usah terlalu dianggap pusing.

Comments